#!/bin/bash

sleep 10

CURRENT_IP=$(/sbin/ifconfig -v eth0 | grep inet | grep -v inet6 | awk {'print $2'})
DESIRED_IP="192.168.0.250"
REBOOTS=$(cat /root/.reboots)

date > /root/logs/ipFallback.log

if [ $CURRENT_IP == $DESIRED_IP ]; then
	echo "IPs are Identical - All good!" >> /root/logs/ipFallback.log
else
	echo "IP are different - rebooting!" >> /root/logs/ipFallback.log
	if [ $REBOOTS -lt 3 ]; then
		#reboots OK
		echo "We're allowed to reboot!" >> /root/logs/ipFallback.log
		echo "Old count : "$REBOOTS" - New count"$((REBOOTS+1)) >> /root/logs/ipFallback.log
		echo $((REBOOTS+1)) > /root/.reboots
		/sbin/shutdown -r 0
	else
		echo "Too Many reboots - awaiting human action..." >> /root/logs/ipFallback.log
	fi
	#/sbin/shutdown -r 0
fi
