#/bin/bash

/usr/bin/vnstat -u -i eth0
/usr/bin/vnstat -u -i wlan0


while [ 42 ]; do
	/usr/bin/vnstat -tr -i eth0 > /root/.eth0_stat &
	/usr/bin/vnstat -tr -i wlan0 > /root/.wlan0_stat 
	sleep 1

	#SERVER="rpi-ap-salon.home"
	DATE=$(date)

	ETH_PTX_SPEED=$(cat /root/.eth0_stat | grep "tx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	ETH_PTX_PCKTS=$(cat /root/.eth0_stat | grep "tx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')
	ETH_PRX_SPEED=$(cat /root/.eth0_stat | grep "rx" | awk '{print $2" "$3" "substr ($10,wq 1, 1)}')
	ETH_PRX_PCKTS=$(cat /root/.eth0_stat | grep "rx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')

	WLAN_PTX_SPEED=$(cat /root/.wlan0_stat | grep "tx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	WLAN_PTX_PCKTS=$(cat /root/.wlan0_stat | grep "tx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')
	WLAN_PRX_SPEED=$(cat /root/.wlan0_stat | grep "rx" | awk '{print $2" "$3" "substr ($10,wq 1, 1)}')
	WLAN_PRX_PCKTS=$(cat /root/.wlan0_stat | grep "rx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')

	#/bin/echo -ne '\n#### STATS ####\n'
	#/bin/echo -ne 'ppp0 TX Speed: '$PTX_SPEED' - '$PTX_PCKTS'\n'
	#/bin/echo -ne 'ppp0 RX Speed: '$PRX_SPEED' - '$PRX_PCKTS'\n'

	/bin/echo -ne '' > /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '{\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '    "date": "'$DATE'",\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '    "eth0": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            "tx": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "speed": "'$ETH_PTX_SPEED'",\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "pckts": "'$ETH_PTX_PCKTS'"\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            }, "rx": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "speed": "'$ETH_PRX_SPEED'",\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "pckts": "'$ETH_PRX_PCKTS'"\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            }\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '        },\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '    "wlan0": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            "tx": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "speed": "'$WLAN_PTX_SPEED'",\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "pckts": "'$WLAN_PTX_PCKTS'"\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            }, "rx": {\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "speed": "'$WLAN_PRX_SPEED'",\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '                "pckts": "'$WLAN_PRX_PCKTS'"\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '            }\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '        }\n' >> /var/www/html/api/.lanPerfs.json
	#/bin/echo -ne '    }\n' >> /var/www/html/api/.lanPerfs.json
	/bin/echo -ne '}\n' >> /var/www/html/api/.lanPerfs.json

	cat /var/www/html/api/.lanPerfs.json
	mv /var/www/html/api/.lanPerfs.json /var/www/html/api/lanPerfs.json
done

#cat .ppp0_stat | grep "tx" | awk '{print $2" "$3" "substr ($10, 1, 1)}'


