#!/bin/bash

/usr/bin/vnstat -u
#DATA=$(/usr/bin/vnstat -i ppp0 -m | grep "`date +"%b '%y"`" | awk '{print $9" "substr ($10, 1, 1)}') #DATA_ALL(RX/TX)
DATA=$(/usr/bin/vnstat -i ppp0 -m | grep "`date +"%b '%y"`" | awk '{print $3" "substr ($10, 1, 1)}') #DATA_DOWNLOAD_ONLY
DATA_ETH=$(/usr/bin/vnstat -i eth0 -m | grep "`date +"%b '%y"`" | awk '{print $9" "substr ($10, 1, 1)}')
IS_G=$(echo $DATA | grep -c 'G')
IS_G_ETH=$(echo $DATA_ETH | grep -c 'G')
GB_COUNT=$(echo $DATA | cut -d ' ' -f 1 | cut -d '.' -f 1)
ETH_GB_COUNT=$(echo $DATA_ETH | cut -d ' ' -f 1 | cut -d '.' -f 1)
DATE=$(date)
OPERATE=$(cat /sys/class/net/eth0/operstate)
OPERATE_PPPD=$(ps -aux | grep wvdial | grep -v "grep wvdial" | grep -c pppd)
DATA_MAX=$(cat /root/.dataMax)
DATA_MAX_GB=$(echo $DATA_MAX | cut -d '.' -f 1)

if [ $IS_G_ETH -eq 0 ]; then
	ETH_GB_COUNT=0
fi

if [ $IS_G -eq 0 ]; then
	GB_COUNT=0
fi

if [ $OPERATE_PPPD -eq 1 ]; then
	OPERATE_PPPD=$(echo "up")
else
	OPERATE_PPPD=$(echo "down")
fi

/bin/echo $DATE
/bin/echo $DATE" - "$DATA" - eth0="$OPERATE" - is_g="$IS_G >> /root/logs/net_limit.log
/bin/echo "DATA="$DATA

/bin/echo -ne '\n##### DATA #####\n'
/bin/echo -ne ''  > /var/www/html/api/.netData.json
/bin/echo -ne '{\n' >> /var/www/html/api/.netData.json
/bin/echo -ne '    "date": "' >> /var/www/html/api/.netData.json
/bin/echo -ne $DATE >> /var/www/html/api/.netData.json
/bin/echo -ne '",\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "data": "' >> /var/www/html/api/.netData.json
/bin/echo -ne $DATA >> /var/www/html/api/.netData.json
/bin/echo -ne '",\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "gb": ' >> /var/www/html/api/.netData.json
/bin/echo -ne $(($GB_COUNT+1)) >> /var/www/html/api/.netData.json
/bin/echo -ne ',\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "data_eth": "' >> /var/www/html/api/.netData.json
/bin/echo -ne $DATA_ETH >> /var/www/html/api/.netData.json
/bin/echo -ne '",\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "gb_eth": ' >> /var/www/html/api/.netData.json
/bin/echo -ne $(($ETH_GB_COUNT+1)) >> /var/www/html/api/.netData.json
/bin/echo -ne ',\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "data_max": "' >> /var/www/html/api/.netData.json
/bin/echo -ne $DATA_MAX >> /var/www/html/api/.netData.json
/bin/echo -ne '",\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "data_max_gb": ' >> /var/www/html/api/.netData.json
/bin/echo -ne $DATA_MAX_GB >> /var/www/html/api/.netData.json
/bin/echo -ne ',\n' >> /var/www/html/api/.netData.json

/bin/echo -ne '    "eth0": "' >>  /var/www/html/api/.netData.json
/bin/echo -ne $OPERATE >>  /var/www/html/api/.netData.json
/bin/echo -ne '",\n' >>  /var/www/html/api/.netData.json

/bin/echo -ne '    "ppp0": "' >>  /var/www/html/api/.netData.json
/bin/echo -ne $OPERATE_PPPD >>  /var/www/html/api/.netData.json
/bin/echo -ne '"\n' >>  /var/www/html/api/.netData.json

/bin/echo -ne '}\n' >> /var/www/html/api/.netData.json

cat /var/www/html/api/.netData.json

mv /var/www/html/api/.netData.json /var/www/html/api/netData.json
